## yambar 1.8.0

=== meson_options.txt ===
option(
  'backend-x11', type: 'feature', value: 'enabled', description: 'XCB (X11) backend')
option(
  'backend-wayland', type: 'feature', value: 'enabled', description: 'Wayland backend')
option(
  'core-plugins-as-shared-libraries', type: 'boolean', value: false,
  description: 'Compiles modules, particles and decorations as shared libraries, which are loaded on-demand')
option(
  'plugin-mpd', type: 'feature', value: 'auto',
  description: 'Music Player Daemon (MPD) support')

=== debian/changelog ===
yambar (1.8.0-2) unstable; urgency=medium

  * Source only upload as is.

 -- Birger Schacht <birger@debian.org>  Sun, 10 Jul 2022 14:34:26 +0200

yambar (1.8.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1014220)

 -- Birger Schacht <birger@debian.org>  Sat, 02 Jul 2022 11:29:19 +0200

=== debian/control ===
Source: yambar
Section: x11
Priority: optional
Maintainer: Birger Schacht <birger@debian.org>
Build-Depends: debhelper-compat (= 13),
               meson (>= 0.58),
               ninja-build,
               pkg-config,
               wayland-protocols,
               libasound2-dev,
               libfcft-dev (>= 3.0.0),
               libfontconfig-dev,
               libharfbuzz-dev,
               libinotifytools0-dev,
               libjson-c-dev,
               libmpdclient-dev,
               libpixman-1-dev,
               libtllist-dev (>= 1.0.1),
               libudev-dev,
               libwayland-dev,
               libxcb-util-dev,
               libxcb-cursor-dev,
               libxcb-ewmh-dev,
               libxcb-randr0-dev,
               libxcb-render0-dev,
               libxcb-xkb-dev,
               libyaml-dev,
               scdoc
Standards-Version: 4.6.1.0
Homepage: https://codeberg.org/dnkl/yambar
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/swaywm-team/yambar.git
Vcs-Browser: https://salsa.debian.org/swaywm-team/yambar

Package: yambar
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Lightweight and configurable status panel
 yambar is a lightweight and configurable status panel (bar, for short) for X11
 and Wayland, that goes to great lengths to be both CPU and battery efficient -
 polling is only done when absolutely necessary.
 .
 It has a number of modules that provide information in the form of tags. For
 example, the clock module has a date tag that contains the current date.
 .
 The modules do not know how to present the information though. This is instead
 done by particles. And the user, you, decides which particles (and thus how to
 present the data) to use.
 .
 Furthermore, each particle can have a decoration - a background color or a
 graphical underline, for example.
 .
 There is no support for images or icons. use an icon font (e.g. Font Awesome,
 or Material Icons) if you want a graphical representation.
 .
 There are a number of modules and particles builtin. More can be added as
 plugins. You can even write your own!
 .
 To summarize: a bar displays information provided by modules, using particles
 and decorations. How is configured by you.

## yambar 1.9.0

=== debian/changelog ===
yambar (1.9.0-1) unstable; urgency=medium

  * New upstream version
  * d/control
    + bump minimum required meson version
    + Add build-dependencies: libpipewire-0.3-dev, libpulse-dev, flex
      and bison

 -- Birger Schacht <birger@debian.org>  Sat, 17 Dec 2022 16:44:36 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Birger Schacht <birger@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               meson (>= 0.58),
+               meson (>= 0.59),
                ninja-build,
                pkg-config,
                wayland-protocols,
@@ -14,7 +14,9 @@
                libinotifytools0-dev,
                libjson-c-dev,
                libmpdclient-dev,
+               libpipewire-0.3-dev,
                libpixman-1-dev,
+               libpulse-dev,
                libtllist-dev (>= 1.0.1),
                libudev-dev,
                libwayland-dev,
@@ -25,7 +27,9 @@
                libxcb-render0-dev,
                libxcb-xkb-dev,
                libyaml-dev,
-               scdoc
+               scdoc,
+               flex,
+               bison
 Standards-Version: 4.6.1.0
 Homepage: https://codeberg.org/dnkl/yambar
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_install:
	rm -rf debian/yambar/usr/include
	rm -f debian/yambar/usr/share/doc/yambar/LICENSE
	dh_install

=== debian/watch ===
version=4
opts="mode=git,pgpmode=gittag" \
https://codeberg.org/dnkl/yambar.git refs/tags/([\d\.]+)

## yambar 1.10.0

=== meson_options.txt ===
--- 
+++ 
@@ -5,6 +5,46 @@
 option(
   'core-plugins-as-shared-libraries', type: 'boolean', value: false,
   description: 'Compiles modules, particles and decorations as shared libraries, which are loaded on-demand')
-option(
-  'plugin-mpd', type: 'feature', value: 'auto',
-  description: 'Music Player Daemon (MPD) support')
+
+option('plugin-alsa', type: 'feature', value: 'auto',
+       description: 'ALSA support')
+option('plugin-backlight', type: 'feature', value: 'auto',
+       description: 'Backlight support')
+option('plugin-battery', type: 'feature', value: 'auto',
+       description: 'Battery support')
+option('plugin-clock', type: 'feature', value: 'auto',
+       description: 'Clock support')
+option('plugin-cpu', type: 'feature', value: 'auto',
+       description: 'CPU monitoring support')
+option('plugin-disk-io', type: 'feature', value: 'auto',
+       description: 'Disk I/O support')
+option('plugin-dwl', type: 'feature', value: 'auto',
+       description: 'DWL (dwm for wayland) support')
+option('plugin-foreign-toplevel', type: 'feature', value: 'auto',
+       description: 'Foreign toplevel (window tracking for Wayland) support')
+option('plugin-mem', type: 'feature', value: 'auto',
+       description: 'Memory monitoring support')
+option('plugin-mpd', type: 'feature', value: 'auto',
+       description: 'Music Player Daemon (MPD) support')
+option('plugin-i3', type: 'feature', value: 'auto',
+       description: 'i3+Sway support')
+option('plugin-label', type: 'feature', value: 'auto',
+       description: 'Label support')
+option('plugin-network', type: 'feature', value: 'auto',
+       description: 'Network monitoring support')
+option('plugin-pipewire', type: 'feature', value: 'auto',
+       description: 'Pipewire support')
+option('plugin-pulse', type: 'feature', value: 'auto',
+       description: 'PulseAudio support')
+option('plugin-removables', type: 'feature', value: 'auto',
+       description: 'Removables (USB sticks, CD-ROM etc) monitoring support')
+option('plugin-river', type: 'feature', value: 'auto',
+       description: 'River support')
+option('plugin-script', type: 'feature', value: 'auto',
+       description: 'Script support')
+option('plugin-sway-xkb', type: 'feature', value: 'auto',
+       description: 'keyboard support for Sway')
+option('plugin-xkb', type: 'feature', value: 'auto',
+       description: 'keyboard support for X11')
+option('plugin-xwindow', type: 'feature', value: 'auto',
+       description: 'XWindow (window tracking for X11) support')

=== debian/changelog ===
yambar (1.10.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:38:17 +1100

yambar (1.10.0-1build1) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 07:06:05 +0000

yambar (1.10.0-1) unstable; urgency=medium

  * New upstream release (Closes: #1037906)
  * Backport patch to explicity initialize fmt from
    https://codeberg.org/dnkl/yambar/pulls/312
  * d/copyright:
   + Update years
  * d/rules
   + Add format-truncation as no-error for now
  * d/control
   + Bump standards-version to 4.6.2 (no changes required)

 -- Birger Schacht <birger@debian.org>  Tue, 18 Jul 2023 17:37:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: yambar
 Section: x11
 Priority: optional
-Maintainer: Birger Schacht <birger@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Birger Schacht <birger@debian.org>
 Build-Depends: debhelper-compat (= 13),
                meson (>= 0.59),
                ninja-build,
@@ -30,7 +31,7 @@
                scdoc,
                flex,
                bison
-Standards-Version: 4.6.1.0
+Standards-Version: 4.6.2
 Homepage: https://codeberg.org/dnkl/yambar
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/swaywm-team/yambar.git

## yambar 1.11.0

=== debian/changelog ===
yambar (1.11.0-1) unstable; urgency=medium

  * New upstream release
  * Remove backported patch
  * Replace pkg-config build dependency with pkgconf
  * Update years in d/copyright

 -- Birger Schacht <birger@debian.org>  Sat, 20 Apr 2024 11:17:10 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: yambar
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Birger Schacht <birger@debian.org>
+Maintainer: Birger Schacht <birger@debian.org>
 Build-Depends: debhelper-compat (= 13),
                meson (>= 0.59),
                ninja-build,
-               pkg-config,
+               pkgconf,
                wayland-protocols,
                libasound2-dev,
                libfcft-dev (>= 3.0.0),

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 include /usr/share/dpkg/pkg-info.mk
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_CFLAGS_MAINT_APPEND=-Wno-error=format-truncation
 
 %:
 	dh $@
